> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Autorizza IP dedicato

> Autorizzare un BYOH dedicato IP.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.it.json POST /v1/public/accounts/{account_id}/dedicated-ips/{dedicated_ip_id}/authorize
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/dedicated-ips/{dedicated_ip_id}/authorize:
    post:
      tags:
        - public-accounts
        - public-dedicated-ips
      summary: Autorizza IP dedicato
      description: Autorizzare un BYOH dedicato IP.
      operationId: >-
        authorize_public_dedicated_ip_v1_public_accounts__account_id__dedicated_ips__dedicated_ip_id__authorize_post
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: dedicated_ip_id
          required: true
          schema:
            format: uuid
            title: Dedicated Ip Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DedicatedIpAuthorizeRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicDedicatedIpResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Errore di validazione
      security:
        - PublicBearerAuth: []
components:
  schemas:
    DedicatedIpAuthorizeRequest:
      description: Corpo della richiesta per autorizzare un IP dedicato BYOH.
      properties:
        reissue:
          default: false
          description: >-
            Forza la riemissione della chiave di configurazione anche se ne
            esiste già una
          title: Riemetti
          type: boolean
      title: DedicatedIpAuthorizeRequest
      type: object
    PublicDedicatedIpResponse:
      properties:
        asn:
          anyOf:
            - type: integer
            - type: 'null'
          description: Numero del sistema autonomo per l'assegnazione
          title: ASN
        country_code:
          anyOf:
            - type: string
            - type: 'null'
          description: Codice paese ISO per l'assegnazione
          title: Codice Paese
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Timestamp di creazione
          title: Creato il
        id:
          description: Dedicato IP UUID
          format: uuid
          title: ID
          type: string
        ip_addresses:
          description: Indirizzi pubblici in questa allocazione
          items:
            $ref: '#/components/schemas/PublicDedicatedIpAddressResponse'
          title: Indirizzi IP
          type: array
        name:
          description: Nome IP dedicato visibile al cliente
          title: Nome
          type: string
        status:
          description: Stato del provisioning o del ciclo di vita
          title: Stato
          type: string
        type:
          description: Tipo di allocazione IP dedicato
          title: Tipo
          type: string
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Timestamp dell'ultimo aggiornamento
          title: Aggiornato il
      required:
        - id
        - name
        - status
        - type
      title: PublicDedicatedIpResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Dettaglio
          type: array
      title: HTTPValidationError
      type: object
    PublicDedicatedIpAddressResponse:
      description: Metadati di indirizzi pubblici dedicati-IP senza segnali di reputazione.
      properties:
        fcrdns_confirmed:
          default: false
          description: Se il reverse DNS confermato in avanti è stato superato
          title: Confermato Fcrdns
          type: boolean
        healthy:
          anyOf:
            - type: boolean
            - type: 'null'
          description: Stato di salute attuale quando disponibile
          title: Integro
        ip:
          description: Indirizzo pubblico IP
          title: IP
          type: string
        rdns:
          anyOf:
            - type: string
            - type: 'null'
          description: Invertire il nome host DNS quando configurato
          title: rDNS
      required:
        - ip
      title: PublicDedicatedIpAddressResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Posizione
          type: array
        msg:
          title: Messaggio
          type: string
        type:
          title: Tipo errore
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````